Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ServiceKeyStore

    java.lang.Object
      org.wso2.wsas.admin.service.util.ServiceKeyStore

    public class ServiceKeyStore

extends java.lang.Object

Constructor Summary
`ServiceKeyStore()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getKeyStoreName()` Getter for property 'keyStoreName'.
`java.lang.String` | `getKeyStoreType()` Getter for property 'keyStoreType'.
`int` | `hashCode()`
`boolean` | `isPrivateKeyStore()` Getter for property 'privateKeyStore'.
`boolean` | `isSelected()` Getter for property 'selected'.
`void` | `setKeyStoreName(java.lang.String keyStoreName)` Setter for property 'keyStoreName'.
`void` | `setKeyStoreType(java.lang.String keyStoreType)` Setter for property 'keyStoreType'.
`void` | `setPrivateKeyStore(boolean privateKeyStore)` Setter for property 'privateKeyStore'.
`void` | `setSelected(boolean selected)` Setter for property 'selected'.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceKeyStore

    public ServiceKeyStore()

Method Detail

### getKeyStoreName

    public java.lang.String getKeyStoreName()

  Getter for property 'keyStoreName'.

  Returns:
    Value for property 'keyStoreName'.

### setKeyStoreName

    public void setKeyStoreName(java.lang.String keyStoreName)

  Setter for property 'keyStoreName'.

  Parameters:
    `keyStoreName` - Value to set for property 'keyStoreName'.

### isPrivateKeyStore

    public boolean isPrivateKeyStore()

  Getter for property 'privateKeyStore'.

  Returns:
    Value for property 'privateKeyStore'.

### setPrivateKeyStore

    public void setPrivateKeyStore(boolean privateKeyStore)

  Setter for property 'privateKeyStore'.

  Parameters:
    `privateKeyStore` - Value to set for property 'privateKeyStore'.

### isSelected

    public boolean isSelected()

  Getter for property 'selected'.

  Returns:
    Value for property 'selected'.

### setSelected

    public void setSelected(boolean selected)

  Setter for property 'selected'.

  Parameters:
    `selected` - Value to set for property 'selected'.

### getKeyStoreType

    public java.lang.String getKeyStoreType()

  Getter for property 'keyStoreType'.

  Returns:
    Value for property 'keyStoreType'.

### setKeyStoreType

    public void setKeyStoreType(java.lang.String keyStoreType)

  Setter for property 'keyStoreType'.

  Parameters:
    `keyStoreType` - Value to set for property 'keyStoreType'.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD